/*
[INFO] 

NAME = Run Install
VERSION = 1.0.0
AUTHOR = MastaMan
DEV = 3DGROUND
SITE=https://3dground.net

[SCRIPT]

*/

struct runInstaller (
	currScript = getThisScriptFilename(),
	pth = getFilenamePath currScript,
	installer = "install.mse",
	run_installer = pth + installer,
	
	_rPrepareInstaller = rollout _rPrepareInstaller "https://3dground.net" (
		local _ = if (_ != undefined) do _
		
		label lblInfo "Preparing for installation..." align: #center offset: [0, 12]
		timer tmrDelay "" interval: 1000 active: true
		on tmrDelay tick do (
			tmrDelay.active = false
			local f = _.run_installer
			
			try (fileIn f) catch (print (">> " + getCurrentException()))
			
			_.destroyInstaller()
		)			
	),
	
	fn destroyInstaller = (
		try (DestroyDialog _rPrepareInstaller) catch ()
	),
	
	fn prepareInstaller = (		
		destroyInstaller()		
		CreateDialog _rPrepareInstaller 260 50 style:#(#style_sysmenu, #style_toolwindow)
	),
	
	on create do (
		_rPrepareInstaller._ = this
		prepareInstaller()
	)
)


runInstaller()